Paypal
Create a subscription plan
Create a subscription plan.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Request Body
application/json
amount*|
interval_unit?string
Match
^(DAY|WEEK|MONTH|YEAR)$Default
"MONTH"name*string
Length
2 <= length <= 120trial_days?integer
Range
0 <= value <= 90Default
0Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/paypal/plans" \ -H "Content-Type: application/json" \ -d '{ "amount": 0, "name": "string" }'{ "data": {}, "meta": {}, "success": true}